Thoughts on the current state of ASN.1 and XML technologies.

The updated ASN1C Eclipse Plug-in


An updated version of our ASN1C Eclipse Plug-in is now available for Eclipse versions 4.6 (Neon) and higher.

A previous version of this plug-in had been available for Eclipse 3.x.  However, once Eclipse modified the way in which it installs and supports plug-ins, this version ceased to function and there was a significant delay in getting it up-to-date with newer Eclipse versions.  This upgrade is now complete.

Capabilities of this plug-in include:

  • ASN.1 editing and syntax checking
  • Code generation of C/C++, Java, and C# languages from ASN.1

Click on the “Eclipse Plugin” tab near the bottom of our ASN1C product page for more information and installation instructions.

Comments are closed.